/*
    EXIF ReGenerate
    Copyright (C) 2010 - 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

#include "bigimage.h"
#include "mainwindow.h"
#include "ui_bigimage.h"
#include <string>
#include <sstream>

Bigimage::Bigimage(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Bigimage)
{
    ui->setupUi(this);

}

Bigimage::Bigimage(QString s)
{
    ui->setupUi(this);
setWindowTitle(APPLICATION_NAME " " VERSION);


int i_xb_lage=0, i_yb_lage=0, i_storlek=0;

    std::stringstream ss;

    QString conf_file_name = QDir::toNativeSeparators("/"PROG_NAME".conf");
    k = new Config(conf_file_name);

    std::string s_storlek = k->getConf("storlek");
    std::string xb_lage = k->getConf("xb_lage");
    std::string yb_lage = k->getConf("yb_lage");
    std::string magnify = k->getConf("magnify");
        delete k;

    ss.clear();
    ss << s_storlek;
    ss >> i_storlek;

    float f_storlek = (float) i_storlek;



    ss.clear();
    ss << xb_lage;
    ss >> i_xb_lage;

    ss.clear();
    ss << yb_lage;
    ss >> i_yb_lage;

    float f_magnify=0;
  //  int i_magnify=0;

    ss.clear();
    ss << magnify;
    ss >> f_magnify;

 //  ss.clear();
 //  ss << magnify;
 //  ss >> i_magnify;






 ymax = new const int(QApplication::desktop()->height());
if (i_yb_lage > (*ymax-50))
{
     i_yb_lage=200;
     i_xb_lage=200;
 }

xmax = new const int (QApplication::desktop()->width());
    if (i_xb_lage > (*xmax-50))
{
     i_xb_lage=200;
     i_yb_lage=200;
 }
global_s = s;
global_f_storlek = f_storlek;
global_i_storlek = i_storlek;
global_f_magnify = f_magnify;
global_i_yb_lage = i_yb_lage;
global_i_xb_lage = i_xb_lage;


this->setContextMenuPolicy( Qt::ActionsContextMenu );






QAction *actionEnlargedSize = new QAction(tr("Enlarged size"),this);
QIcon enlargedSize;
enlargedSize.addFile(QString::fromUtf8(":/images/enlarge"), QSize(), QIcon::Normal, QIcon::Off);
actionEnlargedSize->setIcon(enlargedSize);
menuEnlargedSize = new QMenu(this );
this->addAction(actionEnlargedSize);
actionEnlargedSize->setMenu(menuEnlargedSize);


actionSmall = new QAction(tr("Small"),this);
actionSmall->setShortcut(QApplication::translate("Bigimage", "Ctrl+1", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionSmall );
actionSmall->setCheckable(true);
connect(actionSmall, SIGNAL(triggered()), this, SLOT(small()));

actionNormal = new QAction(tr("Normal"),this);
actionNormal->setShortcut(QApplication::translate("Bigimage", "Ctrl+2", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionNormal );
actionNormal->setCheckable(true);
connect(actionNormal, SIGNAL(triggered()), this, SLOT(normal()));

actionLarge = new QAction(tr("Large"),this);
actionLarge->setShortcut(QApplication::translate("Bigimage", "Ctrl+3", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionLarge );
actionLarge->setCheckable(true);
connect(actionLarge, SIGNAL(triggered()), this, SLOT(large()));

actionXLarge = new QAction(tr("X Large"),this);
actionXLarge->setShortcut(QApplication::translate("Bigimage", "Ctrl+4", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionXLarge );
actionXLarge->setCheckable(true);
connect(actionXLarge, SIGNAL(triggered()), this, SLOT(xLarge()));

actionXXLarge = new QAction(tr("XX Large"),this);
actionXXLarge ->setShortcut(QApplication::translate("Bigimage", "Ctrl+5", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionXXLarge );
actionXXLarge->setCheckable(true);
connect(actionXXLarge, SIGNAL(triggered()), this, SLOT(xxLarge()));

actionXXXLarge = new QAction(tr("XXX Large"),this);
actionXXXLarge ->setShortcut(QApplication::translate("Bigimage", "Ctrl+6", 0, QApplication::UnicodeUTF8));
menuEnlargedSize->addAction( actionXXXLarge );
actionXXXLarge->setCheckable(true);
connect(actionXXXLarge, SIGNAL(triggered()), this, SLOT(xxxLarge()));




QAction *actionEnlargedDetails = new QAction(tr("Enlarged details"),this);

QIcon iconEnlargedDetails;
iconEnlargedDetails.addFile(QString::fromUtf8(":/images/magnifier"), QSize(), QIcon::Normal, QIcon::Off);
actionEnlargedDetails->setIcon(iconEnlargedDetails);

menuEnlargedDetails = new QMenu(this );
this->addAction(actionEnlargedDetails);
actionEnlargedDetails->setMenu(menuEnlargedDetails);



action1 = new QAction(tr("1"),this);
menuEnlargedDetails->addAction(action1);
action1->setCheckable(true);
connect(action1, SIGNAL(triggered()), this, SLOT(s1()));

action1_5 = new QAction(tr("1.5"),this);
menuEnlargedDetails->addAction(action1_5);
action1_5->setCheckable(true);
connect(action1_5, SIGNAL(triggered()), this, SLOT(s1_5()));

action2 = new QAction(tr("2"),this);
menuEnlargedDetails->addAction(action2);
action2->setCheckable(true);
connect(action2, SIGNAL(triggered()), this, SLOT(s2()));

action2_5 = new QAction(tr("2.5"),this);
menuEnlargedDetails->addAction(action2_5);
action2_5->setCheckable(true);
connect(action2_5, SIGNAL(triggered()), this, SLOT(s2_5()));

action3 = new QAction(tr("3"),this);
menuEnlargedDetails->addAction(action3);
action3->setCheckable(true);
connect(action3, SIGNAL(triggered()), this, SLOT(s3()));

action3_5 = new QAction(tr("3.5"),this);
menuEnlargedDetails->addAction(action3_5);
action3_5->setCheckable(true);
connect(action3_5, SIGNAL(triggered()), this, SLOT(s3_5()));

action4 = new QAction(tr("4"),this);
menuEnlargedDetails->addAction(action4);
action4->setCheckable(true);
connect(action4, SIGNAL(triggered()), this, SLOT(s4()));

action4_5 = new QAction(tr("4.5"),this);
menuEnlargedDetails->addAction(action4_5);
action4_5->setCheckable(true);
connect(action4_5, SIGNAL(triggered()), this, SLOT(s4_5()));

action5 = new QAction(tr("5"),this);
menuEnlargedDetails->addAction(action5);
action5->setCheckable(true);
connect(action5, SIGNAL(triggered()), this, SLOT(s5()));

action5_5 = new QAction(tr("5.5"),this);
menuEnlargedDetails->addAction(action5_5);
action5_5->setCheckable(true);
connect(action5_5, SIGNAL(triggered()), this, SLOT(s5_5()));

action6 = new QAction(tr("6"),this);
menuEnlargedDetails->addAction(action6);
action6->setCheckable(true);
connect(action6, SIGNAL(triggered()), this, SLOT(s6()));

action6_5 = new QAction(tr("6.5"),this);
menuEnlargedDetails->addAction(action6_5);
action6_5->setCheckable(true);
connect(action6_5, SIGNAL(triggered()), this, SLOT(s6_5()));

action7 = new QAction(tr("7"),this);
menuEnlargedDetails->addAction(action7);
action7->setCheckable(true);
connect(action7, SIGNAL(triggered()), this, SLOT(s7()));

action7_5 = new QAction(tr("7.5"),this);
menuEnlargedDetails->addAction(action7_5);
action7_5->setCheckable(true);
connect(action7_5, SIGNAL(triggered()), this, SLOT(s7_5()));

action8 = new QAction(tr("8"),this);
menuEnlargedDetails->addAction(action8);
action8->setCheckable(true);
connect(action8, SIGNAL(triggered()), this, SLOT(s8()));

action8_5 = new QAction(tr("8.5"),this);
menuEnlargedDetails->addAction(action8_5);
action8_5->setCheckable(true);
connect(action8_5, SIGNAL(triggered()), this, SLOT(s8_5()));

action9 = new QAction(tr("9"),this);
menuEnlargedDetails->addAction(action9);
action9->setCheckable(true);
connect(action9, SIGNAL(triggered()), this, SLOT(s9()));

action9_5 = new QAction(tr("9.5"),this);
menuEnlargedDetails->addAction(action9_5);
action9_5->setCheckable(true);
connect(action9_5, SIGNAL(triggered()), this, SLOT(s9_5()));

action10 = new QAction(tr("10"),this);
menuEnlargedDetails->addAction(action10);
action10->setCheckable(true);
connect(action10, SIGNAL(triggered()), this, SLOT(s10()));





// Windows
   int last = s.lastIndexOf('\\');
// Linux
// int last = s.lastIndexOf('/');
int langd = s.size();
QString info = s.right(langd-(last+1));
setWindowTitle(info);


berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

Bigimage::~Bigimage()
{


}

// SLOTS





void Bigimage::s1()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 1;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s1_5()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 1.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s2()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 2;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s2_5()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 2.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s3()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 3;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s3_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 3.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s4()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 4;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s4_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 4.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);




}

void Bigimage::s5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s5_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 5.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s6()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 6;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s6_5()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 6.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s7()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 7;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s7_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 7.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s8()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 8;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s8_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 8.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s9()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 9;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s9_5()
{



    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 9.5;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}

void Bigimage::s10()
{


    QRect rect;
    rect=this->geometry();
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;

    global_f_magnify = 10;

berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);





}






void Bigimage::small()
{
    QRect rect;
    rect=this->geometry();
 if (rect.x() != 0)
 {
    global_i_xb_lage=rect.x();
    global_i_yb_lage=rect.y();
}
    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 400;
global_i_storlek = 400;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

void Bigimage::normal()
{
    QRect rect;
    rect=this->geometry();
    if (rect.x() != 0)
    {
       global_i_xb_lage=rect.x();
       global_i_yb_lage=rect.y();
   }

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 600;
global_i_storlek = 600;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

void Bigimage::large()
{
    QRect rect;
    rect=this->geometry();
    if (rect.x() != 0)
    {
       global_i_xb_lage=rect.x();
       global_i_yb_lage=rect.y();
   }

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 800;
global_i_storlek = 800;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

void Bigimage::xLarge()
{
    QRect rect;
    rect=this->geometry();
    if (rect.x() != 0)
    {
       global_i_xb_lage=rect.x();
       global_i_yb_lage=rect.y();
   }

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 1000;
global_i_storlek = 1000;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

void Bigimage::xxLarge()
{
    QRect rect;
    rect=this->geometry();
    if (rect.x() != 0)
    {
       global_i_xb_lage=rect.x();
       global_i_yb_lage=rect.y();
   }
    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 1200;
global_i_storlek = 1200;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}

void Bigimage::xxxLarge()
{
    QRect rect;
    rect=this->geometry();
    if (rect.x() != 0)
    {
       global_i_xb_lage=rect.x();
       global_i_yb_lage=rect.y();
   }

    delete bigImageReader;
    delete bigImage;
    delete scrollArea;
global_f_storlek = 1400;
global_i_storlek = 1400;
berakna(global_s, global_f_storlek, global_i_storlek, global_f_magnify, global_i_yb_lage, global_i_xb_lage);

}


void Bigimage::stang()
{


    QRect rect;
    rect=this->geometry();


    int xl=rect.x();
    int yl=rect.y();





    QString conf_file_name = QDir::toNativeSeparators("/"PROG_NAME".conf");
    k = new Config(conf_file_name);


   std::stringstream ss;
   std::string str;


   ss.clear();
   ss << xl;
   ss >> str;
   k->setConf("xb_lage",str);

   ss.clear();
   ss << yl;
   ss >> str;
   k->setConf("yb_lage",str);

   delete k;
//delete ui;

   delete bigImageReader;
   delete bigImage;
   delete bigLbl;
   delete scrollArea;


delete this;







}
 // PRIVATE
void Bigimage::berakna(QString s, float f_storlek, int i_storlek, float f_magnify, int i_yb_lage, int i_xb_lage)
{








    bigImageReader = new QImageReader;


    bigImage = new QImage;

scrollArea = new QScrollArea(this);




        bigImageReader->setFileName(QDir::toNativeSeparators(s));

        QSize storlek = MainWindow::skala(bigImageReader->size(),i_storlek);


        int ww = storlek.width();
        int hh = storlek.height();




       if (f_magnify > 1)
        {

            bigLbl = new QLabel(scrollArea);
            f_storlek = f_storlek * f_magnify;

           storlek = MainWindow::skala(bigImageReader->size(),f_storlek);
       }
        else
        {

            bigLbl = new QLabel(this);
        }








        bigImageReader->setScaledSize(storlek);



        *bigImage=bigImageReader->read();

    bigLbl->setPixmap(QPixmap::fromImage(*bigImage));
    bigLbl->setToolTip(s);
   // this->setStyleSheet("QWidget { background-color: rgb(192,192,192); }");



   if (f_magnify > 1)
    {
        scrollArea->setWidget(bigLbl);
        scrollArea->setGeometry(0,0,ww+5,hh+5);
        scrollArea->show();
        this->setGeometry(i_xb_lage,i_yb_lage,ww+5,hh+5);
        setFixedSize(ww+5,hh+5);
    }
   else
   {
       bigLbl->setGeometry(0,0,ww,hh);
       bigLbl->show();
       this->setGeometry(i_xb_lage,i_yb_lage,ww,hh);
       setFixedSize(ww,hh);

   }
   this->showNormal();

   menuEnlargedDetails->setEnabled(true);





    switch (i_storlek)
    {
    case 400:
          actionSmall->setChecked(true);
          actionNormal->setChecked(false);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(false);

          break;
    case 600:
          actionSmall->setChecked(false);
          actionNormal->setChecked(true);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(false);

          break;
    case 800:
          actionSmall->setChecked(false);
          actionNormal->setChecked(false);
          actionLarge->setChecked(true);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(false);

          break;
    case 1000:
          actionSmall->setChecked(false);
          actionNormal->setChecked(false);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(true);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(false);

          break;
    case 1200:
          actionSmall->setChecked(false);
          actionNormal->setChecked(false);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(true);
          actionXXXLarge->setChecked(false);

          break;
    case 1400:
          actionSmall->setChecked(false);
          actionNormal->setChecked(false);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(true);

          break;
    default:
          actionSmall->setChecked(false);
          actionNormal->setChecked(false);
          actionLarge->setChecked(false);
          actionXLarge->setChecked(false);
          actionXXLarge->setChecked(false);
          actionXXXLarge->setChecked(false);
    }

if (f_magnify == 1)
    {
    action1->setChecked(true);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }


if (f_magnify == 1.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(true);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }

if (f_magnify == 2)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(true);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 2.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(true);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 3)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(true);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 3.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(true);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 4)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(true);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 4.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(true);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(true);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 5.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(true);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 6)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(true);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 6.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(true);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 7)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(true);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 7.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(true);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 8)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(true);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 8.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(true);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 9)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(true);
    action9_5->setChecked(false);
    action10->setChecked(false);

    }
if (f_magnify == 9.5)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(true);
    action10->setChecked(false);

    }
if (f_magnify == 10)
    {
    action1->setChecked(false);
    action1_5->setChecked(false);
    action2->setChecked(false);
    action2_5->setChecked(false);
    action3->setChecked(false);
    action3_5->setChecked(false);
    action4->setChecked(false);
    action4_5->setChecked(false);
    action5->setChecked(false);
    action5_5->setChecked(false);
    action6->setChecked(false);
    action6_5->setChecked(false);
    action7->setChecked(false);
    action7_5->setChecked(false);
    action8->setChecked(false);
    action8_5->setChecked(false);
    action9->setChecked(false);
    action9_5->setChecked(false);
    action10->setChecked(true);

    }





}


/*
// RESIZE EVENT
void Bigimage::resizeEvent(QResizeEvent * event)
{



}
*/

void Bigimage::closeEvent(QCloseEvent * event)
{
stang();

}
