/*
    EXIF ReGenerate
    Copyright (C) 2010 - 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H


#define APPLICATION_NAME "EXIF ReGenerate"
#define VERSION "0.1.3"
#define PROG_NAME "exifrg"
#define START_YEAR 1983
#define STOP_YEAR 2022
#define CURRENT_YEAR "2014"
#define LICENCE_VERSION "3"
//#define GPL_LICENSE "Licensierat under GNU General Public License This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version " LICENCE_VERSION " of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA."
#define APPLICATION_HOMEPAGE "\"http://ceicer.org/ingemar/exifregenerate/\""
#define APPLICATION_HOMEPAGE_ENG "\"http://ceicer.org/ingemar/exifregenerate/index_eng.php\""
#define HOST "bin.ceicer.com"
#define VERSION_PATH "/exifregenerate/version.txt"
#define PROGRAMMER_EMAIL "programmering1@ceicer.org"
#define PROGRAMMER_NAME "Ingemar Ceicer"
#define PROGRAMMER_PHONE "+46706361747"

#include "config.h"
#include "exif.h"
#include "exifw.h"
#include "bigimage.h"
#include "checkupdate.h"
#include "settime.h"
#include "help.h"
#include "offset.h"

#include <string>
#include <sstream>

#include <QMainWindow>
#include <QFileDialog>
#include <QMessageBox>
#include <QLabel>
#include <QPushButton>
#include <QSignalMapper>
#include <QImage>
#include <QSize>
#include <QCheckBox>
#include <QScrollArea>
#include <QDesktopWidget>
#include <QFont>
#include <QImageReader>
#include <QWidget>
#include <QDate>
#include <QTime>
#include <QList>
#include <QLocale>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();




private slots:
    void open();
    void openMore();
    void apply();
    void save();
    void closeFiles();
    void closeAllFiles();
    void selectAll();
    void deSelectAll();
    void english();
    void swedish();
    void russian();
    void greek();
    void updates();

    void deletePersonalSettings();

    void small();
    void normal();
    void large();
    void xLarge();
    void xxLarge();
    void xxxLarge();

    void s1();
    void s1_5();
    void s2();
    void s2_5();
    void s3();
    void s3_5();
    void s4();
    void s4_5();
    void s5();
    void s5_5();
    void s6();
    void s6_5();
    void s7();
    void s7_5();
    void s8();
    void s8_5();

    void s9();
    void s9_5();
    void s10();

    void setOffset();

    // Help
    void about();
    void aboutQt();
    void help();

    void select(const int i);
    void check(const int i);
    void set(const int i);

    //View
    void iconsOnly();
    void noToolbar();

private:

    Ui::MainWindow *ui;
    QFileDialog *inputFileDialog;
    Config *k;

QLabel *containerLabel;
QLabel *imgLbl;
QLabel *exifLbl;
QDate *datum;
QTime *tid;
QDateTime *datumTid;
QLabel *lblStatus;

const int *xmax;
const int *ymax;



QPushButton *knapp;
QPushButton *knappSet;
QCheckBox *checkbox;
QScrollArea *scrollArea;
QSignalMapper *signalMapper;
QSignalMapper *signalMapper2;
QSignalMapper *signalMapperSet;
QImageReader *imageReader;
bool *exifExist;

    QStringList *fileNames;
    void startup_config();
    void exit_config();
    void open2(bool);
    void opna();
    static bool getOffset(QString &sec_in, QString &d, QString &h, QString &min, QString &s);
    void displayOffset(std::string offset);
    static QSize skala(QSize, float);
    static QSize skala(QSize, int);


    friend class Bigimage;
    friend class Settime;
    friend class Offset;

};

#endif // MAINWINDOW_H
